Subject: java on cygwin - 2082 tests pass
From: "Billinghurst, David (CRTS)" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 8 May 2002 23:04:58 +1000

With:
 - CYGWIN=check_case:strict
 - rebuilt binutils with 16-byte alignment
 - (and a small testsuite cheat) 
I get the following on results with gcc 3.2 on cygwin:

Running /usr/local/src/gcc/libjava/testsuite/libjava.lang/lang.exp ...
FAIL: Array_3 execution from source compiled test
FAIL: Array_3 execution from bytecode->native test
FAIL: Array_3 -O execution from source compiled test
FAIL: Array_3 -O execution from bytecode->native test
FAIL: Divide_1 execution from source compiled test
FAIL: Divide_1 execution from bytecode->native test
FAIL: Divide_1 -O execution from source compiled test
FAIL: Divide_1 -O execution from bytecode->native test
FAIL: KeepInline output from source compiled test
FAIL: KeepInline output from bytecode->native test
FAIL: KeepInline -O output from source compiled test
FAIL: KeepInline -O output from bytecode->native test
FAIL: SyncTest execution from bytecode->native test
FAIL: SyncTest -O execution from bytecode->native test
FAIL: Thread_Interrupt output from source compiled test
FAIL: Thread_Interrupt output from bytecode->native test
FAIL: Thread_Wait_Interrupt output from bytecode->native test
FAIL: Thread_Wait_Interrupt -O output from bytecode->native test
FAIL: Throw_2 execution from source compiled test
FAIL: Throw_2 execution from bytecode->native test
FAIL: Throw_2 -O execution from source compiled test
FAIL: Throw_2 -O execution from bytecode->native test
Running /usr/local/src/gcc/libjava/testsuite/libjava.mauve/mauve.exp ...

                === libjava Summary ===

# of expected passes            2082
# of unexpected failures        35
# of expected failures          18
# of untested testcases         41

The cheat is that execution tests
 - Array_3
 - Divide_1
 - Throw_2
get stuck in infinite loops and I have to kill them from Task Manager.
If I let the tests timeout within dejagnu then the testsuite crashes.  

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/